Bug 607790 - [RHEL 6.0] virt-install fails with ERROR internal error Unable to find cgroup for test123
[RHEL 6.0] virt-install fails with ERROR internal error Unable to find cgroup...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks: Rhel6.0LibvirtTier2
  Show dependency treegraph
 
Reported: 2010-06-24 16:28 EDT by Vipinlal V V
Modified: 2010-07-15 11:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 11:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vipinlal V V 2010-06-24 16:28:42 EDT
Description of problem: While creating a domain on RHEL 6.0 beta using virt-install command, it fails with following error.

# virt-install --prompt
What is the name of your virtual machine? test123
How much RAM should be allocated (in megabytes)? 512
What would you like to use as the disk (file path)? /var/lib/libvirt/images/test123.img
What is the install CD-ROM/ISO or URL? /dev/dvd

Starting install...
ERROR    internal error Unable to find cgroup for test123

Domain installation may not have been
successful.  If it was, you can restart your domain
by running 'virsh start test123'; otherwise, please
restart your installation.
ERROR    internal error Unable to find cgroup for test123
Traceback (most recent call last):
 File "/usr/sbin/virt-install", line 943, in <module>
   main()
 File "/usr/sbin/virt-install", line 839, in main
   start_time, guest.start_install)
 File "/usr/sbin/virt-install", line 894, in do_install
   dom = install_func(conscb, progresscb, wait=(not wait))
 File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 660, in start_install
   return self._do_install(consolecb, meter, removeOld, wait)
 File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 758, in _do_install
   self.domain = self.conn.createLinux(install_xml, 0)
 File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1098, in createLinux
   if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Unable to find cgroup for test123 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.# virt-install --prompt
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2010-06-24 17:23:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Cole Robinson 2010-06-25 12:42:22 EDT
Can you provide 

virsh dumpxml $vmname
/var/log/libvirt/qemu/$vmname.log

Reassigning to libvirt
Comment 4 Daniel Berrange 2010-06-28 12:05:39 EDT
This error normally occurs because someone has modified the system cgroups configuration after libvirtd had started. Can you restart libvirtd and see if the problem goes away.
Comment 5 Daniel Veillard 2010-07-15 11:28:27 EDT
No feedback, and possibly an user error on a problem we can't reproduce,
so closing it unless this can be reproduced again, in which case reopen
and provide the informations being asked.

  thanks,

Daniel

Note You need to log in before you can comment on or make changes to this bug.